package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.communityNews.CommentLikes;

import java.util.List;


/**
 * 社区资讯点赞Mapper接口
 * 
 * @author boman
 * @date 2025-02-25
 */
public interface CommentLikesMapper 
{
    /**
     * 查询社区资讯点赞
     * 
     * @param likesId 社区资讯点赞主键
     * @return 社区资讯点赞
     */
    public CommentLikes selectCommentLikesByLikesId(Long likesId);

    /**
     * 查询社区资讯点赞列表
     * 
     * @param commentLikes 社区资讯点赞
     * @return 社区资讯点赞集合
     */
    public List<CommentLikes> selectCommentLikesList(CommentLikes commentLikes);

    /**
     * 根据点赞目标id' 点赞目标类型（1：资讯 2：回复） 用户id查询是否已经点赞过
     * @param commentLikes
     * @return
     */
    public CommentLikes  selectCommentLikes(CommentLikes commentLikes);

    /**
     * 新增社区资讯点赞
     * 
     * @param commentLikes 社区资讯点赞
     * @return 结果
     */
    public int insertCommentLikes(CommentLikes commentLikes);

    /**
     * 修改社区资讯点赞
     * 
     * @param commentLikes 社区资讯点赞
     * @return 结果
     */
    public int updateCommentLikes(CommentLikes commentLikes);

    /**
     * 删除社区资讯点赞
     * 
     * @param likesId 社区资讯点赞主键
     * @return 结果
     */
    public int deleteCommentLikesByLikesId(Long likesId);

    /**
     * 批量删除社区资讯点赞
     * 
     * @param likesIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCommentLikesByLikesIds(Long[] likesIds);
}
